Bug 1473811 - the dependency for ntlm module might be incorrect
the dependency for ntlm module might be incorrect
Status: NEW
Product: Fedora
Classification: Fedora
Component: wine (Show other bugs)
27
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Andreas Bierfert
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-21 13:54 EDT by Dominik 'Rathann' Mierzejewski
Modified: 2017-08-15 05:10 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dominik 'Rathann' Mierzejewski 2017-07-21 13:54:46 EDT
Description of problem:
At the moment, wine depends on /usr/bin/ntlm_auth, but when only some i686 packages are installed and I get the

err:winediag:SECUR32_initNTLMSP ntlm_auth was not found or is outdated. Make sure that ntlm_auth >= 3.0.25 is in your path. Usually, you can find it in the winbind package of your distribution.

error, installing samba-winbind-modules.i686 makes it go away.

Version-Release number of selected component (if applicable):
wine-core-2.12-1.fc26.i686

How reproducible:
Always

Steps to Reproduce:
1. install only the following wine packages:
wine-alsa-2.12-1.fc26.i686
wine-arial-fonts-2.12-1.fc26.noarch
wine-common-2.12-1.fc26.noarch
wine-core-2.12-1.fc26.i686
wine-courier-fonts-2.12-1.fc26.noarch
wine-desktop-2.12-1.fc26.noarch
wine-filesystem-2.12-1.fc26.noarch
wine-fixedsys-fonts-2.12-1.fc26.noarch
wine-fonts-2.12-1.fc26.noarch
wine-marlett-fonts-2.12-1.fc26.noarch
wine-mono-4.7.0-1.fc26.noarch
wine-ms-sans-serif-fonts-2.12-1.fc26.noarch
wine-pulseaudio-2.12-1.fc26.i686
wine-small-fonts-2.12-1.fc26.noarch
wine-symbol-fonts-2.12-1.fc26.noarch
wine-systemd-2.12-1.fc26.noarch
wine-system-fonts-2.12-1.fc26.noarch
wine-tahoma-fonts-2.12-1.fc26.noarch
wine-tahoma-fonts-system-2.12-1.fc26.noarch
wine-times-new-roman-fonts-2.12-1.fc26.noarch
wine-times-new-roman-fonts-system-2.12-1.fc26.noarch
wine-wingdings-fonts-2.12-1.fc26.noarch
wine-wingdings-fonts-system-2.12-1.fc26.noarch
2. make sure samba-winbind-clients and samba-winbind-modules are NOT installed.
3. install samba-winbind-modules.i686

Actual results:
No error about missing ntlm_auth displayed.

Expected results:
Maybe wine should depend on samba-winbind-modules instead?

Additional info:
There's something else wrong with the dependencies, because unless I run
dnf install samba-winbind-modules.i686 samba-libs.i686
explicitly, dnf tries to install some x86_64 packages (python2-talloc.x86_64 and  
samba-libs.x86_64) instead of their i686 counterparts.

Moreover, you could start using weak dependencies instead of hard Requires in the main wine package for non-essential wine components, at least on Fedora.
Comment 1 Michael Cronenworth 2017-07-24 09:45:10 EDT
What is an app that is requiring ntlm_auth?
Comment 2 Dominik 'Rathann' Mierzejewski 2017-07-25 16:05:32 EDT
(In reply to Michael Cronenworth from comment #1)
> What is an app that is requiring ntlm_auth?

I got the error about missing ntlm_auth when running winecfg, if that's what you're asking.
Comment 3 Michael Cronenworth 2017-07-25 19:08:16 EDT
Sorry. I should have read your OP more closely.

The ntlm_auth requires is correct. Wine does not link against samba -- it calls the ntlm_auth binary.

The Requires lives in the "wine" meta package and you never install it so the samba packages are never installed.

I'm on the fence about moving the Requires into wine-core. It is not a mandatory package, but weak dependencies would not help with this. I'll leave this but open for now but I may close it in the future.
Comment 4 Dominik 'Rathann' Mierzejewski 2017-07-26 13:54:24 EDT
How do you explain that the error message disappears if I install samba-winbind-modules ONLY, without samba-winbind-clients (which provide the /usr/bin/ntlm_auth binary), then?
Comment 5 Jan Kurik 2017-08-15 05:10:15 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.

Note You need to log in before you can comment on or make changes to this bug.